;;;
;;; Time-stamp: <2007-11-28 11:38:01 nhw>
;;;
;;; Copyright (C) by Noel Welsh. 
;;;

;;; This library is free software; you can redistribute it
;;; and/or modify it under the terms of the GNU Lesser
;;; General Public License as published by the Free Software
;;; Foundation; either version 2.1 of the License, or (at
;;; your option) any later version.

;;; This library is distributed in the hope that it will be
;;; useful, but WITHOUT ANY WARRANTY; without even the
;;; implied warranty of MERCHANTABILITY or FITNESS FOR A
;;; PARTICULAR PURPOSE.  See the GNU Lesser General Public
;;; License for more details.

;;; You should have received a copy of the GNU Lesser
;;; General Public License along with this library; if not,
;;; write to the Free Software Foundation, Inc., 59 Temple
;;; Place, Suite 330, Boston, MA 02111-1307 USA

;;; Author: Noel Welsh <noelwelsh@yahoo.com>
;;
;;
;; Commentary:
(module all-code-tests mzscheme

  (require
   (planet "test.ss" ("schematics" "schemeunit.plt" 2))
   (file "vector-test.ss")
   (file "matrix-test.ss")
   (file "dirichlet-test.ss")
   (file "mixture-test.ss"))
  
  (provide all-code-tests)

  (define all-code-tests
    (test-suite 
     "all-code-tests"
     vector-tests
     matrix-tests
     dirichlet-tests
     mixture-tests
     ))
  )
